net.sf.okapi.lib.segmentation

## Class ICURegex

- java.lang.Object
- - net.sf.okapi.lib.segmentation.ICURegex

- Deprecated.

      @Deprecated
      public class ICURegex
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ICURegex()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getBoundaries()` Deprecated.
    `static boolean` | `isICURule(java.lang.String rule)` Deprecated.
    `java.lang.String` | `processRule(java.lang.String rule)` Deprecated.
    `void` | `processText(java.lang.String codedText, java.util.List<net.sf.okapi.lib.segmentation.CompiledRule> compRules)` Deprecated.
    `void` | `reset()` Deprecated.
    `void` | `setHasICURules(boolean hasICURules)` Deprecated.
    `protected void` | `setLanguage(LocaleId language)` Deprecated.
    `boolean` | `verifyPos(int pos, net.sf.okapi.lib.segmentation.CompiledRule rule, java.util.regex.Matcher matcher, java.util.List<java.lang.Integer> boundaries)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICURegex

          public ICURegex()

      Deprecated.

  - ### Method Detail

    - #### reset

          public void reset()

      Deprecated.

    - #### setHasICURules

          public void setHasICURules(boolean hasICURules)

      Deprecated.

    - #### isICURule

          public static boolean isICURule(java.lang.String rule)

      Deprecated.

    - #### setLanguage

          protected void setLanguage(LocaleId language)

      Deprecated.

    - #### processRule

          public java.lang.String processRule(java.lang.String rule)

      Deprecated.

    - #### processText

          public void processText(java.lang.String codedText,
                         java.util.List<net.sf.okapi.lib.segmentation.CompiledRule> compRules)

      Deprecated.

    - #### verifyPos

          public boolean verifyPos(int pos,
                          net.sf.okapi.lib.segmentation.CompiledRule rule,
                          java.util.regex.Matcher matcher,
                          java.util.List<java.lang.Integer> boundaries)

      Deprecated.

    - #### getBoundaries

          public java.util.List<java.lang.Integer> getBoundaries()

      Deprecated.